Index: NEMO/branches/2020/dev_12905_xios_restart/src/TOP/TRP/trcsbc.F90
===================================================================
--- NEMO/branches/2020/dev_12905_xios_restart/src/TOP/TRP/trcsbc.F90	(revision 13750)
+++ NEMO/branches/2020/dev_12905_xios_restart/src/TOP/TRP/trcsbc.F90	(revision 13871)
@@ -87,9 +87,9 @@
             IF(lwp) WRITE(numout,*) '          nittrc000-1 surface tracer content forcing fields read in the restart file'
             zfact = 0.5_wp
-            IF(lrtxios) CALL iom_swap(crtxios_context)
+            IF(lrxios) CALL iom_swap(cr_toprst_cxt)
             DO jn = 1, jptra
-               CALL iom_get( numrtr, jpdom_auto, 'sbc_'//TRIM(ctrcnm(jn))//'_b', sbc_trc_b(:,:,jn), ldxios = lrtxios )   ! before tracer content sbc
+               CALL iom_get( numrtr, jpdom_auto, 'sbc_'//TRIM(ctrcnm(jn))//'_b', sbc_trc_b(:,:,jn), ldxios = lrxios )   ! before tracer content sbc
             END DO
-            IF(lrtxios) CALL iom_swap(cxios_context)
+            IF(lrxios) CALL iom_swap(cxios_context)
          ELSE                                         ! No restart or restart not found: Euler forward time stepping
            zfact = 1._wp
@@ -183,5 +183,5 @@
             &                    'at it= ', kt,' date= ', ndastp
          IF(lwp) WRITE(numout,*) '~~~~'
-         IF( lwxios ) CALL iom_swap(      cwtxios_context         )
+         IF( lwxios ) CALL iom_swap(      cw_toprst_cxt         )
          DO jn = 1, jptra
             CALL iom_rstput( kt, nitrst, numrtw, 'sbc_'//TRIM(ctrcnm(jn))//'_b', sbc_trc(:,:,jn), ldxios = lwxios )
Index: NEMO/branches/2020/dev_12905_xios_restart/src/TOP/trc.F90
===================================================================
--- NEMO/branches/2020/dev_12905_xios_restart/src/TOP/trc.F90	(revision 13750)
+++ NEMO/branches/2020/dev_12905_xios_restart/src/TOP/trc.F90	(revision 13871)
@@ -69,5 +69,4 @@
    INTEGER             , PUBLIC ::   nittrc000          !: first time step of passive tracers model
    LOGICAL             , PUBLIC ::   l_trcdm2dc         !: Diurnal cycle for TOP
-   LOGICAL             , PUBLIC ::   lrtxios            !: read TOP restart with XIOS
 
    !! Information for the ice module for tracers
Index: NEMO/branches/2020/dev_12905_xios_restart/src/TOP/trcrst.F90
===================================================================
--- NEMO/branches/2020/dev_12905_xios_restart/src/TOP/trcrst.F90	(revision 13750)
+++ NEMO/branches/2020/dev_12905_xios_restart/src/TOP/trcrst.F90	(revision 13871)
@@ -96,5 +96,5 @@
          ELSE
 #if defined key_iomput
-            cwtxios_context = "rstwt_"//TRIM(ADJUSTL(clkt))
+            cw_toprst_cxt = "rstwt_"//TRIM(ADJUSTL(clkt))
             IF( TRIM(Agrif_CFixed()) == '0' ) THEN
                clpname = clname
@@ -102,5 +102,5 @@
                clpname = TRIM(Agrif_CFixed())//"_"//clname
             ENDIF
-            CALL iom_init( cwtxios_context, fname = TRIM(clpath)//TRIM(clpname), ld_closedef = .FALSE. )
+            CALL iom_init( cw_toprst_cxt, fname = TRIM(clpath)//TRIM(clpname), ld_closedef = .FALSE. )
             CALL iom_swap(      cxios_context          )
 #else
@@ -130,15 +130,15 @@
 
       ! READ prognostic variables and computes diagnostic variable
-      IF(lrtxios) CALL iom_swap(crtxios_context)
+      IF(lrxios) CALL iom_swap(cr_toprst_cxt)
       DO jn = 1, jptra
-         CALL iom_get( numrtr, jpdom_auto, 'TRN'//ctrcnm(jn), tr(:,:,:,jn,Kmm), ldxios = lrtxios )
+         CALL iom_get( numrtr, jpdom_auto, 'TRN'//ctrcnm(jn), tr(:,:,:,jn,Kmm), ldxios = lrxios )
       END DO
 
       DO jn = 1, jptra
-         CALL iom_get( numrtr, jpdom_auto, 'TRB'//ctrcnm(jn), tr(:,:,:,jn,Kbb), ldxios = lrtxios )
+         CALL iom_get( numrtr, jpdom_auto, 'TRB'//ctrcnm(jn), tr(:,:,:,jn,Kbb), ldxios = lrxios )
       END DO
       !
       CALL iom_delay_rst( 'READ', 'TOP', numrtr )   ! read only TOP delayed global communication variables
-      IF(lrtxios) CALL iom_swap(cxios_context) 
+      IF(lrxios) CALL iom_swap(cxios_context) 
    END SUBROUTINE trc_rst_read
 
@@ -155,5 +155,5 @@
       !!----------------------------------------------------------------------
       !
-      IF( lwxios ) CALL iom_swap(      cwtxios_context         )
+      IF( lwxios ) CALL iom_swap(      cw_toprst_cxt         )
       CALL iom_rstput( kt, nitrst, numrtw, 'rdttrc1', rn_Dt, ldxios = lwxios )   ! passive tracer time step (= ocean time step)
       ! prognostic variables 
@@ -173,5 +173,5 @@
           CALL trc_rst_stat( Kmm, Krhs )             ! statistics
           IF(lwxios) THEN
-             CALL iom_context_finalize(      cwtxios_context          )
+             CALL iom_context_finalize(      cw_toprst_cxt          )
           ELSE
              CALL iom_close( numrtw )     ! close the restart file (only at last time step)
@@ -234,7 +234,6 @@
             lxios_sini = .FALSE.
             CALL iom_open( TRIM(cn_trcrst_indir)//'/'//cn_trcrst_in, numrtr )
-            lrtxios = lrxios.AND.lxios_sini
-            IF( lrtxios) THEN
-                crtxios_context = 'top_rst'
+            IF( lrxios) THEN
+                cr_toprst_cxt = 'top_rst'
                 IF(lwp) WRITE(numout,*) 'Enable restart reading by XIOS for TOP'
                 IF( TRIM(Agrif_CFixed()) == '0' ) THEN
@@ -243,11 +242,11 @@
                    clpname = TRIM(Agrif_CFixed())//"_"//cn_trcrst_in   
                 ENDIF
-                CALL iom_init( crtxios_context, fname = TRIM(cn_trcrst_indir)//'/'//TRIM(clpname), &
+                CALL iom_init( cr_toprst_cxt, fname = TRIM(cn_trcrst_indir)//'/'//TRIM(clpname), &
                                           idfp = iom_file(numrtr)%nfid, ld_closedef = .TRUE. )
             ENDIF
 
-            IF(lrtxios) CALL iom_swap(crtxios_context)
-            CALL iom_get ( numrtr, 'kt', zkt, ldxios = lrtxios )   ! last time-step of previous run
-            IF(lrtxios) CALL iom_swap(cxios_context)
+            IF(lrxios) CALL iom_swap(cr_toprst_cxt)
+            CALL iom_get ( numrtr, 'kt', zkt, ldxios = lrxios )   ! last time-step of previous run
+            IF(lrxios) CALL iom_swap(cxios_context)
 
             IF(lwp) THEN
@@ -271,10 +270,10 @@
             !                                          ! set the date in offline mode
             IF( ln_rsttr .AND. nn_rsttr == 2 ) THEN
-               IF(lrtxios) CALL iom_swap(crtxios_context)
-               CALL iom_get( numrtr, 'ndastp', zndastp, ldxios = lrtxios )
+               IF(lrxios) CALL iom_swap(cr_toprst_cxt)
+               CALL iom_get( numrtr, 'ndastp', zndastp, ldxios = lrxios )
                ndastp = NINT( zndastp )
-               CALL iom_get( numrtr, 'adatrj', adatrj, ldxios = lrtxios  )
-               CALL iom_get( numrtr, 'ntime' , ktime, ldxios = lrtxios   )
-               IF(lrtxios) CALL iom_swap(cxios_context)
+               CALL iom_get( numrtr, 'adatrj', adatrj, ldxios = lrxios  )
+               CALL iom_get( numrtr, 'ntime' , ktime, ldxios = lrxios   )
+               IF(lrxios) CALL iom_swap(cxios_context)
                nn_time0=INT(ktime)
                ! calculate start time in hours and minutes
@@ -336,5 +335,5 @@
             IF(lwp) WRITE(numout,*) '~~~~~~~'
          ENDIF
-         IF( lwxios ) CALL iom_swap(      cwtxios_context         )
+         IF( lwxios ) CALL iom_swap(      cw_toprst_cxt         )
          CALL iom_rstput( kt, nitrst, numrtw, 'kt'     , REAL( kt    , wp)  , ldxios = lwxios )   ! time-step
          CALL iom_rstput( kt, nitrst, numrtw, 'ndastp' , REAL( ndastp, wp)  , ldxios = lwxios )   ! date
Index: NEMO/branches/2020/dev_12905_xios_restart/src/TOP/trcstp.F90
===================================================================
--- NEMO/branches/2020/dev_12905_xios_restart/src/TOP/trcstp.F90	(revision 13750)
+++ NEMO/branches/2020/dev_12905_xios_restart/src/TOP/trcstp.F90	(revision 13871)
@@ -110,5 +110,5 @@
       IF( kt == nittrc000 ) THEN
          CALL iom_close( numrtr )                         ! close input tracer restart file
-         IF(lrtxios) CALL iom_context_finalize(      crtxios_context          )
+         IF(lrxios) CALL iom_context_finalize(      cr_toprst_cxt          )
          IF(lwm) CALL FLUSH( numont )                     ! flush namelist output
       ENDIF
@@ -197,18 +197,18 @@
            &                              .AND. iom_varid( numrtr, 'ktdcy'    , ldstop = .FALSE. ) > 0  &
            &                              .AND. iom_varid( numrtr, 'nrdcy'    , ldstop = .FALSE. ) > 0  ) THEN
-            IF(lrtxios) CALL iom_swap(crtxios_context)
-            CALL iom_get( numrtr, 'ktdcy', zkt, ldxios = lrtxios )  
+            IF(lrxios) CALL iom_swap(cr_toprst_cxt)
+            CALL iom_get( numrtr, 'ktdcy', zkt, ldxios = lrxios )  
             rsecfst = INT( zkt ) * rn_Dt
             IF(lwp) WRITE(numout,*) 'trc_qsr_mean:   qsr_mean read in the restart file at time-step rsecfst =', rsecfst, ' s '
-            CALL iom_get( numrtr, jpdom_auto, 'qsr_mean', qsr_mean, ldxios = lrtxios )   !  A mean of qsr
-            CALL iom_get( numrtr, 'nrdcy', zrec, ldxios = lrtxios )   !  Number of record per days
+            CALL iom_get( numrtr, jpdom_auto, 'qsr_mean', qsr_mean, ldxios = lrxios )   !  A mean of qsr
+            CALL iom_get( numrtr, 'nrdcy', zrec, ldxios = lrxios )   !  Number of record per days
             IF( INT( zrec ) == nb_rec_per_day ) THEN
                DO jn = 1, nb_rec_per_day 
                   IF( jn <= 9 )  THEN
                     WRITE(cl1,'(i1)') jn
-                    CALL iom_get( numrtr, jpdom_auto, 'qsr_arr_'//cl1, qsr_arr(:,:,jn), ldxios = lrtxios )   !  A mean of qsr
+                    CALL iom_get( numrtr, jpdom_auto, 'qsr_arr_'//cl1, qsr_arr(:,:,jn), ldxios = lrxios )   !  A mean of qsr
                   ELSE
                     WRITE(cl2,'(i2.2)') jn
-                    CALL iom_get( numrtr, jpdom_auto, 'qsr_arr_'//cl2, qsr_arr(:,:,jn), ldxios = lrtxios )   !  A mean of qsr
+                    CALL iom_get( numrtr, jpdom_auto, 'qsr_arr_'//cl2, qsr_arr(:,:,jn), ldxios = lrxios )   !  A mean of qsr
                   ENDIF
               END DO
@@ -218,5 +218,5 @@
                ENDDO
             ENDIF
-            IF(lrtxios) CALL iom_swap(cxios_context)
+            IF(lrxios) CALL iom_swap(cxios_context)
          ELSE                                         !* no restart: set from nit000 values
             IF(lwp) WRITE(numout,*) 'trc_qsr_mean:   qsr_mean set to nit000 values'
@@ -252,5 +252,5 @@
          zkt  = REAL( ktdcy, wp )
          zrec = REAL( nb_rec_per_day, wp )
-         IF( lwxios ) CALL iom_swap(      cwtxios_context         )
+         IF( lwxios ) CALL iom_swap(      cw_toprst_cxt         )
          CALL iom_rstput( kt, nitrst, numrtw, 'ktdcy', zkt, ldxios = lwxios  )
          CALL iom_rstput( kt, nitrst, numrtw, 'nrdcy', zrec, ldxios = lwxios )
Index: NEMO/branches/2020/dev_12905_xios_restart/tests/CANAL/MY_SRC/domvvl.F90
===================================================================
--- NEMO/branches/2020/dev_12905_xios_restart/tests/CANAL/MY_SRC/domvvl.F90	(revision 13750)
+++ NEMO/branches/2020/dev_12905_xios_restart/tests/CANAL/MY_SRC/domvvl.F90	(revision 13871)
@@ -785,6 +785,6 @@
          IF( ln_rstart ) THEN                   !* Read the restart file
             CALL rst_read_open                  !  open the restart file if necessary
-            IF( lroxios ) CALL iom_swap( TRIM(crxios_context) )
-            CALL iom_get( numror, jpdom_auto, 'sshn'   , ssh(:,:,Kmm), ldxios = lroxios    )
+            IF( lrxios ) CALL iom_swap( cr_ocerst_cxt )
+            CALL iom_get( numror, jpdom_auto, 'sshn'   , ssh(:,:,Kmm), ldxios = lrxios    )
             !
             id1 = iom_varid( numror, 'e3t_b', ldstop = .FALSE. )
@@ -799,6 +799,6 @@
             !
             IF( MIN( id1, id2 ) > 0 ) THEN       ! all required arrays exist
-               CALL iom_get( numror, jpdom_auto, 'e3t_b', e3t(:,:,:,Kbb), ldxios = lroxios )
-               CALL iom_get( numror, jpdom_auto, 'e3t_n', e3t(:,:,:,Kmm), ldxios = lroxios )
+               CALL iom_get( numror, jpdom_auto, 'e3t_b', e3t(:,:,:,Kbb), ldxios = lrxios )
+               CALL iom_get( numror, jpdom_auto, 'e3t_n', e3t(:,:,:,Kmm), ldxios = lrxios )
                ! needed to restart if land processor not computed 
                IF(lwp) write(numout,*) 'dom_vvl_rst : e3t(:,:,:,Kbb) and e3t(:,:,:,Kmm) found in restart files'
@@ -814,5 +814,5 @@
                IF(lwp) write(numout,*) 'e3t_n set equal to e3t_b.'
                IF(lwp) write(numout,*) 'l_1st_euler is forced to true'
-               CALL iom_get( numror, jpdom_auto, 'e3t_b', e3t(:,:,:,Kbb), ldxios = lroxios )
+               CALL iom_get( numror, jpdom_auto, 'e3t_b', e3t(:,:,:,Kbb), ldxios = lrxios )
                e3t(:,:,:,Kmm) = e3t(:,:,:,Kbb)
                l_1st_euler = .true.
@@ -821,5 +821,5 @@
                IF(lwp) write(numout,*) 'e3t_b set equal to e3t_n.'
                IF(lwp) write(numout,*) 'l_1st_euler is forced to true'
-               CALL iom_get( numror, jpdom_auto, 'e3t_n', e3t(:,:,:,Kmm), ldxios = lroxios )
+               CALL iom_get( numror, jpdom_auto, 'e3t_n', e3t(:,:,:,Kmm), ldxios = lrxios )
                e3t(:,:,:,Kbb) = e3t(:,:,:,Kmm)
                l_1st_euler = .true.
@@ -846,6 +846,6 @@
                !                          ! ----------------------- !
                IF( MIN( id3, id4 ) > 0 ) THEN  ! all required arrays exist
-                  CALL iom_get( numror, jpdom_auto, 'tilde_e3t_b', tilde_e3t_b(:,:,:), ldxios = lroxios )
-                  CALL iom_get( numror, jpdom_auto, 'tilde_e3t_n', tilde_e3t_n(:,:,:), ldxios = lroxios )
+                  CALL iom_get( numror, jpdom_auto, 'tilde_e3t_b', tilde_e3t_b(:,:,:), ldxios = lrxios )
+                  CALL iom_get( numror, jpdom_auto, 'tilde_e3t_n', tilde_e3t_n(:,:,:), ldxios = lrxios )
                ELSE                            ! one at least array is missing
                   tilde_e3t_b(:,:,:) = 0.0_wp
@@ -856,5 +856,5 @@
                   !                       ! ------------ !
                   IF( id5 > 0 ) THEN  ! required array exists
-                     CALL iom_get( numror, jpdom_auto, 'hdiv_lf', hdiv_lf(:,:,:), ldxios = lroxios )
+                     CALL iom_get( numror, jpdom_auto, 'hdiv_lf', hdiv_lf(:,:,:), ldxios = lrxios )
                   ELSE                ! array is missing
                      hdiv_lf(:,:,:) = 0.0_wp
@@ -862,5 +862,5 @@
                ENDIF
             ENDIF
-            IF( lroxios ) CALL iom_swap( TRIM(cxios_context) )
+            IF( lrxios ) CALL iom_swap( cxios_context )
             !
          ELSE                                   !* Initialize at "rest"
@@ -931,5 +931,5 @@
          !                                   ! ===================
          IF(lwp) WRITE(numout,*) '---- dom_vvl_rst ----'
-         IF( lwxios ) CALL iom_swap(      cwxios_context          )
+         IF( lwxios ) CALL iom_swap(      cw_ocerst_cxt          )
          !                                           ! --------- !
          !                                           ! all cases !
Index: NEMO/branches/2020/dev_12905_xios_restart/tests/VORTEX/MY_SRC/domvvl.F90
===================================================================
--- NEMO/branches/2020/dev_12905_xios_restart/tests/VORTEX/MY_SRC/domvvl.F90	(revision 13750)
+++ NEMO/branches/2020/dev_12905_xios_restart/tests/VORTEX/MY_SRC/domvvl.F90	(revision 13871)
@@ -785,6 +785,6 @@
          IF( ln_rstart ) THEN                   !* Read the restart file
             CALL rst_read_open                  !  open the restart file if necessary
-            IF( lroxios ) CALL iom_swap( TRIM(crxios_context) )
-            CALL iom_get( numror, jpdom_auto, 'sshn'   , ssh(:,:,Kmm), ldxios = lroxios    )
+            IF( lrxios ) CALL iom_swap( cr_ocerst_cxt )
+            CALL iom_get( numror, jpdom_auto, 'sshn'   , ssh(:,:,Kmm), ldxios = lrxios    )
             !
             id1 = iom_varid( numror, 'e3t_b', ldstop = .FALSE. )
@@ -799,6 +799,6 @@
             !
             IF( MIN( id1, id2 ) > 0 ) THEN       ! all required arrays exist
-               CALL iom_get( numror, jpdom_auto, 'e3t_b', e3t(:,:,:,Kbb), ldxios = lroxios )
-               CALL iom_get( numror, jpdom_auto, 'e3t_n', e3t(:,:,:,Kmm), ldxios = lroxios )
+               CALL iom_get( numror, jpdom_auto, 'e3t_b', e3t(:,:,:,Kbb), ldxios = lrxios )
+               CALL iom_get( numror, jpdom_auto, 'e3t_n', e3t(:,:,:,Kmm), ldxios = lrxios )
                ! needed to restart if land processor not computed 
                IF(lwp) write(numout,*) 'dom_vvl_rst : e3t(:,:,:,Kbb) and e3t(:,:,:,Kmm) found in restart files'
@@ -814,5 +814,5 @@
                IF(lwp) write(numout,*) 'e3t_n set equal to e3t_b.'
                IF(lwp) write(numout,*) 'l_1st_euler is forced to true'
-               CALL iom_get( numror, jpdom_auto, 'e3t_b', e3t(:,:,:,Kbb), ldxios = lroxios )
+               CALL iom_get( numror, jpdom_auto, 'e3t_b', e3t(:,:,:,Kbb), ldxios = lrxios )
                e3t(:,:,:,Kmm) = e3t(:,:,:,Kbb)
                l_1st_euler = .true.
@@ -821,5 +821,5 @@
                IF(lwp) write(numout,*) 'e3t_b set equal to e3t_n.'
                IF(lwp) write(numout,*) 'l_1st_euler is forced to true'
-               CALL iom_get( numror, jpdom_auto, 'e3t_n', e3t(:,:,:,Kmm), ldxios = lroxios )
+               CALL iom_get( numror, jpdom_auto, 'e3t_n', e3t(:,:,:,Kmm), ldxios = lrxios )
                e3t(:,:,:,Kbb) = e3t(:,:,:,Kmm)
                l_1st_euler = .true.
@@ -846,6 +846,6 @@
                !                          ! ----------------------- !
                IF( MIN( id3, id4 ) > 0 ) THEN  ! all required arrays exist
-                  CALL iom_get( numror, jpdom_auto, 'tilde_e3t_b', tilde_e3t_b(:,:,:), ldxios = lroxios )
-                  CALL iom_get( numror, jpdom_auto, 'tilde_e3t_n', tilde_e3t_n(:,:,:), ldxios = lroxios )
+                  CALL iom_get( numror, jpdom_auto, 'tilde_e3t_b', tilde_e3t_b(:,:,:), ldxios = lrxios )
+                  CALL iom_get( numror, jpdom_auto, 'tilde_e3t_n', tilde_e3t_n(:,:,:), ldxios = lrxios )
                ELSE                            ! one at least array is missing
                   tilde_e3t_b(:,:,:) = 0.0_wp
@@ -856,5 +856,5 @@
                   !                       ! ------------ !
                   IF( id5 > 0 ) THEN  ! required array exists
-                     CALL iom_get( numror, jpdom_auto, 'hdiv_lf', hdiv_lf(:,:,:), ldxios = lroxios )
+                     CALL iom_get( numror, jpdom_auto, 'hdiv_lf', hdiv_lf(:,:,:), ldxios = lrxios )
                   ELSE                ! array is missing
                      hdiv_lf(:,:,:) = 0.0_wp
@@ -862,5 +862,5 @@
                ENDIF
             ENDIF
-            IF( lroxios ) CALL iom_swap( TRIM(cxios_context) )
+            IF( lrxios ) CALL iom_swap( cxios_context )
             !
          ELSE                                   !* Initialize at "rest"
@@ -931,5 +931,5 @@
          !                                   ! ===================
          IF(lwp) WRITE(numout,*) '---- dom_vvl_rst ----'
-         IF( lwxios ) CALL iom_swap(      cwxios_context          )
+         IF( lwxios ) CALL iom_swap(      cw_ocerst_cxt          )
          !                                           ! --------- !
          !                                           ! all cases !
